Skip to main content
PATCH
Update order item quantity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

order_id
string
required

Unique identifier for the order, either UUID, order number (e.g. ORD250312003548IAU4), or external ID (e.g. my-system-128318AA2) if you have provided one during order creation or update.

product_type
enum<string>
required

Type of product line to update

Available options:
prescription,
non_prescription,
order_material
id
string<uuid>
required

Unique identifier (UUID) of the product on the order line

Query Parameters

order_item_id
string<uuid>

Unique identifier (UUID) of the order line row. Required when the same product appears more than once on the order; use the order_item_id value from the order's products object.

Body

application/json
quantity
integer
required

New ordered quantity for the line

Required range: x >= 1
Example:

2

Response

200 - application/json

Order line quantity updated successfully

id
string<uuid>

Unique identifier

Example:

"0227d1e5-ba9a-42b5-8fe2-38882aa65708"

created_at
string<date-time>

Date and time of creation

Example:

"2025-03-15T12:00:00Z"

updated_at
string<date-time>

Date and time of last update

Example:

"2025-03-15T12:00:00Z"

address
object
custom_shipping
object

Custom shipping details for the order if your account has custom shipping enabled, and you have provided prepaid label details.

customer_id
string<uuid>
Example:

"b658f16f-819c-4503-aede-bd555fc4ebfb"

external_id
string

External (your own system's) ID associated with the order.

Example:

"my-system-128318AA2"

is_replacement
boolean

Whether the order is a replacement order

Example:

false

order_number
string

Friendlier identifier for the order. Auto-generated.

Example:

"ORD250312003548IAU4"

original_order_id
string<uuid>

ID of the original order, if this is a replacement order

Example:

"0227d1e5-ba9a-42b5-8fe2-38882aa65708"

patient
object
prescription_count
integer

Number of prescriptions associated with the order (expected to be the same as the number of prescription products in the products object)

Example:

1

priority_requested
boolean

Whether the order has a priority request

Example:

false

cancellation_requested
boolean

Whether the customer has requested cancellation for an order in picked or verified status

Example:

false

replacement_order_ids
string<uuid>[]

IDs of any replacement orders, if they have been created from this order

replacement_reason
string

If this is a replacement order, reason for the replacement

Example:

"Product arrived damaged"

replacement_requested
boolean

Whether the order has a replacement request. This field is deprecated and will be removed in a future version. Please use replacement_request_status instead.

Example:

false

replacement_request_status
enum<string>

Status of the replacement request

Available options:
pending,
fulfilled,
declined,
cancelled
Example:

"pending"

replacement_requested_at
string

Date and time a replacement request was made

Example:

"2025-01-01T00:00:00Z"

replacement_requested_reason
string

Reason for the replacement request

Example:

"Product arrived damaged"

shipments
object[]
shipping
object
status
string
Example:

"received"

products
object